import serial
import requests
import time

arduino_port = '/dev/ttyACM0'
ser = serial.Serial(arduino_port, 9600, timeout=1)

api_url = 'http://localhost:3000/calculer-volume'

try:
    while True:
        line = ser.readline().decode('utf-8').rstrip()
        # print(f"Arduino dit : {line}")

        if 'Distance' in line:
            distance = float(line.split(':')[-1].strip().split(' ')[0])
            print(f"Distance : {distance} cm")

            payload = {'distance': distance}
            try:
                response = requests.post(api_url, json=payload)
                response.raise_for_status()
                data = response.json()
                print(f"API Response: {data}")
            except requests.exceptions.RequestException as e:
                print(f"Erreur lors de l'appel API : {e}")

        time.sleep(300)

except KeyboardInterrupt:
    ser.close()
    print("Arrêt du programme.")
